<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>oska: /home/bfsw/host/releases/sdioemb/oska-4/builds/oska-4/include/oska/thread.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="files.html">File&nbsp;List</a></div>
<h1>/home/bfsw/host/releases/sdioemb/oska-4/builds/oska-4/include/oska/thread.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * Operating system kernel abstraction -- threading</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2007 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span>
00009 <span class="preprocessor">#ifndef __OSKA_THREAD_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define __OSKA_THREAD_H</span>
00011 <span class="preprocessor"></span>
00012 <span class="preprocessor">#include &lt;oska/semaphore.h&gt;</span>
00013 
00014 <span class="preprocessor">#ifdef __OSKA_API_DOC</span>
00015 <span class="preprocessor"></span>
<a name="l00027"></a><a class="code" href="group__thread.html#ga0">00027</a> <span class="keyword">typedef</span> implementation_defined <a class="code" href="group__thread.html#ga0">os_thread_t</a>;
00028 
00046 <span class="keywordtype">int</span> <a class="code" href="group__thread.html#ga1">os_thread_create</a>(os_thread_t *thread, <span class="keyword">const</span> <span class="keywordtype">char</span> *name, <span class="keywordtype">void</span> (*func)(<span class="keywordtype">void</span> *), <span class="keywordtype">void</span> *arg);
00047 
00064 <span class="keywordtype">void</span> <a class="code" href="group__thread.html#ga2">os_thread_stop</a>(os_thread_t *thread, os_semaphore_t *sem);
00065 
00076 <span class="keywordtype">int</span> <a class="code" href="group__thread.html#ga3">os_thread_should_stop</a>(os_thread_t *thread);
00077 
00090 <span class="keywordtype">void</span> <a class="code" href="group__thread.html#ga4">os_try_suspend_thread</a>(os_thread_t *thread);
00091 
00092 <span class="preprocessor">#endif </span><span class="comment">/* __OSKA_API_DOC */</span>
00093 
00094 <span class="preprocessor">#ifdef linux</span>
00095 <span class="preprocessor"></span><span class="preprocessor">#  include &lt;../linux/thread.h&gt;</span>
00096 <span class="preprocessor">#else</span>
00097 <span class="preprocessor"></span><span class="preprocessor">#  error &lt;oska/thread.h&gt; not provided for this OS</span>
00098 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
00099 <span class="preprocessor"></span>
00100 <span class="preprocessor">#endif </span><span class="comment">/* #ifndef __OSKA_THREAD_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:35 2008 for oska by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
